/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workprojectcalc.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 工程计算量底稿Entity
 * @author 马鹏波
 * @version 2018-06-06
 */
public class WorkProjectCalcBuild extends DataEntity<WorkProjectCalcBuild> {
	
	private static final long serialVersionUID = 1L;
	private String buildNumber;		// 序号
	private String buildCode;		// 清单编码/定额编码
	private String projectName;		// 项目名称
	private String buildUnit;		// 计量单位
	private String buildMode;		// 计算式/索引
	private String buildOther;		// 其他
	private String buildIndex;		// 分项式索引
	private String buildSize;		//工程量
	private String projectId;		//项目编号
	
	public WorkProjectCalcBuild() {
		super();
	}

	public WorkProjectCalcBuild(String id){
		super(id);
	}

	@ExcelField(title="序号", align=2, sort=7)
	public String getBuildNumber() {
		return buildNumber;
	}

	public void setBuildNumber(String buildNumber) {
		this.buildNumber = buildNumber;
	}
	
	@ExcelField(title="清单编码/定额编码", align=2, sort=8)
	public String getBuildCode() {
		return buildCode;
	}

	public void setBuildCode(String buildCode) {
		this.buildCode = buildCode;
	}
	
	@ExcelField(title="项目名称", align=2, sort=9)
	public String getProjectName() {
		return projectName;
	}

	public void setProjectName(String projectName) {
		this.projectName = projectName;
	}
	
	@ExcelField(title="计量单位", align=2, sort=10)
	public String getBuildUnit() {
		return buildUnit;
	}

	public void setBuildUnit(String buildUnit) {
		this.buildUnit = buildUnit;
	}
	
	@ExcelField(title="计算式/索引", align=2, sort=11)
	public String getBuildMode() {
		return buildMode;
	}

	public void setBuildMode(String buildMode) {
		this.buildMode = buildMode;
	}
	
	@ExcelField(title="其他", align=2, sort=12)
	public String getBuildOther() {
		return buildOther;
	}

	public void setBuildOther(String buildOther) {
		this.buildOther = buildOther;
	}
	
	@ExcelField(title="分项式索引", align=2, sort=13)
	public String getBuildIndex() {
		return buildIndex;
	}

	public void setBuildIndex(String buildIndex) {
		this.buildIndex = buildIndex;
	}


	public String getBuildSize() {
		return buildSize;
	}

	public void setBuildSize(String buildSize) {
		this.buildSize = buildSize;
	}

	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}
}